Create business entity
curl --request POST \
--url https://api.zenskar.com/business_entities \
--header 'Content-Type: application/json' \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"validation_status": "<string>"
},
"email": "<string>",
"phone_number": "<string>",
"is_default": true,
"tax_config": {},
"logo_url": "<string>"
}
'import requests
url = "https://api.zenskar.com/business_entities"
payload = {
"name": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"validation_status": "<string>"
},
"email": "<string>",
"phone_number": "<string>",
"is_default": True,
"tax_config": {},
"logo_url": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
organisation: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
address: {
line1: '<string>',
line2: '<string>',
line3: '<string>',
city: '<string>',
state: '<string>',
zipCode: '<string>',
country: '<string>',
validation_status: '<string>'
},
email: '<string>',
phone_number: '<string>',
is_default: true,
tax_config: {},
logo_url: '<string>'
})
};
fetch('https://api.zenskar.com/business_entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_default": true,
"address": {
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"validation_status": "<string>"
},
"email": "<string>",
"phone_number": "<string>",
"tax_config": {},
"logo_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Business Entities
Create business entity
Create a new business entity with the provided details.
POST
/
business_entities
Create business entity
Authorizations
Body
application/json
Create Organisation Request Schema
Business Entity Name
Business Entity address
Show child attributes
Show child attributes
Business Entity email
Business Entity phone number
Maximum string length:
20Business Entity default
Business Entity tax config
Business Entity logo URL
Response
Successful Response
Business Entity Response Schema
Business Entity ID
Business Entity Name
Business Entity default
Business Entity address
Show child attributes
Show child attributes
Business Entity email
Business Entity phone number
Business Entity tax config
Business Entity logo URL